Bug 688397 - availability icons in resource tree and resource header are not refreshed when resource avail changes even when switching tabs or switching between nodes in tree
availability icons in resource tree and resource header are not refreshed whe...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.B02
All All
medium Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 688401
Blocks: gwt-tree jon3
  Show dependency treegraph
 
Reported: 2011-03-16 19:08 EDT by Ian Springer
Modified: 2015-02-01 18:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-03-16 19:08:24 EDT
I was viewing in the GUI a JBossAS Server resource that was down. It correctly showed the red down icon in both the resource tree and the resource header. I then brought the AS Server back up and ran the 'avail' Agent prompt command to change the corresponding resource's avail to up. I switched tabs in the GUI, but neither of the avail icons changed to the green up icon. I then switched to a different node in the resource tree. At that point, the header icon changed to green, but the tree icon remained red. In order to get the tree icon to change, I had to go to some other page in the GUI (e.g. Inventory or Administration) and then go back to the resource (to get the tree to fully reload).

I think we should periodically (perhaps every 60 seconds) refresh the avail of the current resource, and maybe even all resources that are visible in the tree,  and update the corresponding avail icons in both the tree and the header. We should also consider refreshing the current resource's avail if the user switches tabs.
Comment 1 John Mazzitelli 2011-03-24 14:36:58 EDT
this is essentially the same general problem as bug #688401 (with the additional issue of the icon in the header)
Comment 2 Jay Shaughnessy 2012-02-28 15:40:46 EST
The tree supports Right Click refresh of nodes. Not the same thing but
something...
Comment 3 Jay Shaughnessy 2012-04-02 18:04:06 EDT
The context menu refresh has been enhanced.

Note You need to log in before you can comment on or make changes to this bug.